| Home | Libraries | People | FAQ | More

##### basic_serial_port::open (2 of 2 overloads)

Open the serial port using the specified device name.

    boost::system::error_code open(
        const std::string & device,
        boost::system::error_code & ec);

This function opens the serial port using the given platform-specific device name.

###### Parameters

device

  The platform-specific device name.

ec

  Set the indicate what error occurred, if any.